local mod = ...



-- Building Part: Forager Cart -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_ESSENTIALS_FORAGER",
	Name = "BUILDING_PART_ESSENTIALS_FORAGER_NAME", 
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ESSENTIALS_FORAGER",
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0.0,
            CameraPitchOffset = 15.0
        },
	},
	BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {1, 1}, {0, 0} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } 
			}
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_ESSENTIALS_FORAGER",
	Cost = {
        BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 1 } },
        UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 1 } },
        ResourceNeededList = {
            {
                { Resource = "PLANK", Quantity = 2 },
            },
		}
	}
})



-- Resource: Berries (Override) -------------------------------------------------------------------------------------
mod:registerEnumValue ("RESOURCE_TYPE", "RESOURCE_TYPE_BERRIES")

mod:overrideAsset({
	Id = "BERRIES",
	ResourceTypeList = {
		Action = "APPEND",
		"RESOURCE_TYPE_BERRIES"
	}
})



-- Building Function: Forager Cart -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_ESSENTIALS_FORAGER",
	Name = "BUILDING_FUNCTION_ESSENTIALS_FORAGER_NAME",
	IsPrivate = false,
    WorkerCapacity = 2,
    RelatedJob = { 
        Job = "GATHERER", 
        Behavior = "BEHAVIOR_GATHER"
	},
	TypeList = { "RESOURCE_TYPE_BERRIES" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 20,
	-- HasMaximumInstance = true,
	-- MaximumInstanceAllowed = 2,
	InputInventoryCapacity = {
	},
    ResourceListNeeded = {
		{ Resource = "BERRIES", Quantity = 1 },
	},
	ResourceProduced = {
		{ Resource = "BERRIES", Quantity = 1 },
	}
})

