local mod = ...




-- Building: Frontier Essentials (Override) -------------------------------------------------------------------------------------
mod:overrideAsset({
	Id = "BUILDING_ESSENTIALS",
	BuildingPartSetList = {
		Action = "APPEND",
		{
			Name = "BUILDING_SET_ESSENTIALS1_NAME",
			BuildingPartList = { 
				Action = "APPEND",
				"BUILDING_PART_ESSENTIALS_WOODCUTTER",
			}
		},
    }
})



-- Building Part: Wood Cart -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_ESSENTIALS_WOODCUTTER",
	Name = "BUILDING_PART_ESSENTIALS_WOODCUTTER_NAME", 
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ESSENTIALS_WOODCUTTER",
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = 0.0,
            CameraPitchOffset = 15.0
        },

	},
	BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {1, 1}, {0, 0} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } 
			}
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_ESSENTIALS_WOODCUTTER",
	Cost = {
        BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 1 } },
        UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 1 } },
        ResourceNeededList = {
            {
                { Resource = "PLANK", Quantity = 2 },
            },
		}
	}
})



-- Building Function: Wood Cart -------------------------------------------------------------------------------------
local behaviorWoodcutter = "BEHAVIOR_GATHER"
if (foundation.isModLoaded("59f226a2-a363-4804-bf91-668dec627b70")) then -- stumps
    behaviorWoodcutter = "BEHAVIOR_WOODCUTTER_STUMP"
end

mod:registerAsset({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_ESSENTIALS_WOODCUTTER",
	Name = "BUILDING_FUNCTION_ESSENTIALS_WOODCUTTER_NAME",
	IsPrivate = false,
    WorkerCapacity = 2,
    RelatedJob = { 
        Job = "WOOD_CUTTER",
        Behavior = behaviorWoodcutter,
	},
	TypeList = { "FUEL_RESOURCE_TYPE" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 20,
	InputInventoryCapacity = {
	},
    ResourceListNeeded = {
		{ Resource = "WOOD", Quantity = 1 },
	},
	ResourceProduced = {
		{ Resource = "RESOURCE_FUEL", Quantity = 1 },
	}
})
